=== debian/changelog ===
ntirpc (5.8-2~bpo12+1) bookworm-backports; urgency=medium

  * bookworm backport rebuild
  * build depends on dpkg-dev changed to bookworm version

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 04 Oct 2024 12:01:49 +0200

ntirpc (5.8-2) unstable; urgency=medium

  * rebuild for unstable
  * remove onlyjob@debian.org as Maintainer
  * bump standards-version (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 26 Aug 2024 11:40:12 +0200

ntirpc (5.8-1) experimental; urgency=medium

  * New upstream version 5.8

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 05 Aug 2024 21:48:57 +0200

ntirpc (4.3-4) unstable; urgency=medium

  * add Build-Depends on libnsl-dev (closes: #1066943)
  * fix clean target
  * wrap-and-sort debian/control

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 21 Mar 2024 16:01:05 +0100

ntirpc (4.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063214

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:23:43 +0000

ntirpc (4.3-3) unstable; urgency=medium

  * fix missing assert.h include (closes: #1042047)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 29 Aug 2023 09:26:01 +0200
