=== debian/control ===
Source: ntirpc
Section: net
Priority: optional
Maintainer: Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dpkg-dev (>= 1.21.22),
 libkrb5-dev,
 libnsl-dev,
 liburcu-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/nfs-ganesha/ntirpc
Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
Vcs-Browser: https://salsa.debian.org/debian/libntirpc

Package: libntirpc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libntirpc5.8 (= ${binary:Version}),
 ${misc:Depends},
Description: new transport-independent RPC library - development files
 Port of Sun's transport-independent RPC library to Linux. The library
 is intended as a replacement for the RPC code in the GNU C library,
 providing among others support for RPC (and in turn, NFS) over IPv6.
 .
 Changes introduced in the ntirpc library include:
  * Bi-directional operation.
  * Full-duplex operation on the TCP (vc) transport.
  * Thread-safe operating modes:
    * new locking primitives and lock callouts (interface change).
    * stateless send/recv on the TCP transport (interface change).
  * Flexible server integration support.
  * Event channels.
 .
 This package provides development files.

Package: libntirpc5.8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libtirpc-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: new transport-independent RPC library
 Port of Sun's transport-independent RPC library to Linux. The library
 is intended as a replacement for the RPC code in the GNU C library,
 providing among others support for RPC (and in turn, NFS) over IPv6.
 .
 Changes introduced in the ntirpc library include:
  * Bi-directional operation.
  * Full-duplex operation on the TCP (vc) transport.
  * Thread-safe operating modes:
    * new locking primitives and lock callouts (interface change).
    * stateless send/recv on the TCP transport (interface change).
  * Flexible server integration support.
  * Event channels.
