## ntirpc 6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,9 @@
 project(NTIRPC C)
 
 # version numbers
-set(NTIRPC_MAJOR_VERSION 5)
+set(NTIRPC_MAJOR_VERSION 6)
 # This is .0 for a release, .N for a stable branch, blank for development
-set(NTIRPC_MINOR_VERSION .8)
+set(NTIRPC_MINOR_VERSION .3)
 # -something for dev releases
 set(NTIRPC_VERSION_EXTRA )
 set(VERSION_COMMENT
@@ -104,9 +104,45 @@
   # if your LTTng is not in a standard place
   find_package(LTTng REQUIRED)
   if(LTTNG_FOUND)
-    include_directories(${LTTNG_INCLUDE_DIR})
+
+    if(NOT CMAKE_EXPORT_COMPILE_COMMANDS)
+      # We must create compile_commands.json for lttng trace generation
+      set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
+    endif(NOT CMAKE_EXPORT_COMPILE_COMMANDS)
+
+    set(CMAKE_C_STANDARD_INCLUDE_DIRECTORIES ${CMAKE_C_IMPLICIT_INCLUDE_DIRECTORIES})
+
+    execute_process(
+	COMMAND ${CMAKE_COMMAND} -E make_directory
+		"${CMAKE_CURRENT_BINARY_DIR}/ntirpc_generated_include/lttng/generated_traces"
+	COMMAND_ERROR_IS_FATAL ANY
+    )
+
+    include_directories(
+      ${LTTNG_INCLUDE_DIR}
+      "${CMAKE_CURRENT_SOURCE_DIR}/src/lttng/generator/include/"
+      "${CMAKE_CURRENT_BINARY_DIR}/ntirpc_generated_include/"
+    )
+
     set(USE_LTTNG_NTIRPC ON)
     set(BINARY_LIBRARIES ${BINARY_LIBRARIES} ntirpc_lttng)
+
+    execute_process(
+      COMMAND bash -c "${CMAKE_CURRENT_SOURCE_DIR}/src/lttng/generator/generate_cmake_rules.py \
+          --project_path ${CMAKE_CURRENT_SOURCE_DIR} \
+          --provider_include_base_path lttng/generated_traces/ \
+          --unique_prefix ntirpc \
+          --filter_out src/lttng/generator \
+          --traces_output_dir ${CMAKE_CURRENT_BINARY_DIR}/ntirpc_generated_include/lttng/generated_traces/ \
+          --include_path ${CMAKE_CURRENT_SOURCE_DIR}/ntirpc:${CMAKE_CURRENT_SOURCE_DIR}/src/lttng/generator/include/:${CMAKE_CURRENT_BINARY_DIR}/ntirpc_generated_include/ \
+          --targets_output_path ${CMAKE_CURRENT_BINARY_DIR}/ntirpc_lttng_generation_rules.cmake \
+          --file_properties_output_path ${CMAKE_CURRENT_BINARY_DIR}/ntirpc_lttng_generation_file_properties.cmake"
+
+      COMMAND_ERROR_IS_FATAL ANY
+    )
+
+    include("${CMAKE_CURRENT_BINARY_DIR}/ntirpc_lttng_generation_rules.cmake")
+    include("${CMAKE_CURRENT_BINARY_DIR}/ntirpc_lttng_generation_file_properties.cmake")
   else(LTTNG_FOUND)
     message(WARNING "LTTng libraries not found. Disabling USE_LTTNG_NTIRPC")
     set(USE_LTTNG_NTIRPC OFF)
