=== debian/changelog ===
ntirpc (6.3-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113333)

  [ Christoph Martin ]
  * Change to my Debian one email

 -- Christoph Martin <chrism@debian.org>  Tue, 28 Oct 2025 20:32:41 +0100

ntirpc (6.3-2) unstable; urgency=medium

  * rebuild for unstable

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 27 Jan 2025 10:36:19 +0100

ntirpc (6.3-1) experimental; urgency=medium

  * New upstream version 6.3
  * bump standards-version (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 09 Jan 2025 21:20:45 +0100
