=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ntirpc
 Section: net
 Priority: optional
-Maintainer: Christoph Martin <martin@uni-mainz.de>
+Maintainer: Christoph Martin <chrism@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dpkg-dev (>= 1.21.22),
+ dpkg-dev (>= 1.22.5),
  libkrb5-dev,
  libnsl-dev,
  liburcu-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/nfs-ganesha/ntirpc
 Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
 Vcs-Browser: https://salsa.debian.org/debian/libntirpc
@@ -19,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libntirpc5.8 (= ${binary:Version}),
+ libntirpc6.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
@@ -37,7 +37,7 @@
  .
  This package provides development files.
 
-Package: libntirpc5.8
+Package: libntirpc6.3
 Section: libs
 Architecture: any
 Multi-Arch: same
