## ntirpc 7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,12 @@
 
 include(${CMAKE_SOURCE_DIR}/cmake/maintainer_mode.cmake)
 
-project(NTIRPC C)
+project(NTIRPC C CXX)
 
 # version numbers
-set(NTIRPC_MAJOR_VERSION 6)
+set(NTIRPC_MAJOR_VERSION 7)
 # This is .0 for a release, .N for a stable branch, blank for development
-set(NTIRPC_MINOR_VERSION .3)
+set(NTIRPC_MINOR_VERSION .0)
 # -something for dev releases
 set(NTIRPC_VERSION_EXTRA )
 set(VERSION_COMMENT
@@ -77,6 +77,10 @@
   endif(KRB5_FOUND)
 endif (USE_GSS)
 
+option(USE_MONITORING "Enable monitoring stack" ON)
+
+option(PROXY_PROTOCOL_PARSE_COMMON_NETWORK_ID "Enable parsing of common network id from haproxy TLV" OFF)
+
 option(USE_RPC_RDMA "platform supports RDMA" OFF)
 if (USE_RPC_RDMA)
   find_package(RDMA REQUIRED)
@@ -260,6 +264,8 @@
 message(STATUS "USE_GSS = ${USE_GSS}")
 message(STATUS "USE_PROFILE = ${USE_PROFILE}")
 message(STATUS "USE_LTTNG_NTIRPC = ${USE_LTTNG_NTIRPC}")
+message(STATUS "USE_MONITORING = ${USE_MONITORING}")
+message(STATUS "PROXY_PROTOCOL_PARSE_COMMON_NETWORK_ID = ${PROXY_PROTOCOL_PARSE_COMMON_NETWORK_ID}")
 
 #force command line options to be stored in cache
 set(_MSPAC_SUPPORT ${_MSPAC_SUPPORT}
