=== debian/changelog ===
ntirpc (7.0-3) unstable; urgency=medium

  * use pkgkde-symbolshelper to create arch dependent symbols files (2nd
    step) (closes: #1129210)

 -- Christoph Martin <chrism@debian.org>  Tue, 03 Mar 2026 10:53:48 +0100

ntirpc (7.0-2) unstable; urgency=medium

  * use pkgkde-symbolshelper to create arch dependent symbols files (1st
    step)

 -- Christoph Martin <chrism@debian.org>  Tue, 03 Mar 2026 00:20:42 +0100

ntirpc (7.0-1) unstable; urgency=medium

  * enable wrap-and-sort in gitlab-ci
  * wrap-and-sort debian/control
  * New upstream version 7.0
  * remove 0001-Shutdown-only-if-CLOSE-has-been-set-to-xprt-xp_flags.patch
  * build-depend on prometheus-cpp-lite
  * include monitoring.h
  * add patch headers

 -- Christoph Martin <chrism@debian.org>  Thu, 26 Feb 2026 14:26:55 +0100

ntirpc (6.3-4) unstable; urgency=medium

  * backport upstream fix which causes high CPU usage (MR from Florian
    Bezdeka @fbezdeka)

 -- Christoph Martin <chrism@debian.org>  Mon, 05 Jan 2026 22:35:48 +0100
