=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Christoph Martin <chrism@debian.org>
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-pkgkde-symbolshelper,
+ dpkg-dev (>= 1.22.5),
  cmake,
- debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
  libkrb5-dev,
  libnsl-dev,
  liburcu-dev,
+ prometheus-cpp-lite,
 Standards-Version: 4.7.0
 Homepage: https://github.com/nfs-ganesha/ntirpc
 Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
@@ -19,7 +21,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libntirpc6.3 (= ${binary:Version}),
+ libntirpc7.0 (= ${binary:Version}),
  ${misc:Depends},
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
@@ -37,7 +39,7 @@
  .
  This package provides development files.
 
-Package: libntirpc6.3
+Package: libntirpc7.0
 Section: libs
 Architecture: any
 Multi-Arch: same
